MetaModels Workshop in Berlin
Ergebnis 1 bis 20 von 20

Thema: Komplett-Update hat Installation zerschossen

  1. #1
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard Komplett-Update hat Installation zerschossen

    Ich habe vor einer dreiviertel Stunde im CM ein komplettes Update angestoßen. Doch das ist leider komplett schiefgegangen. Seitdem ist schachbund.de nicht mehr erreichbar, auch nicht das Backend.
    Immer wiederkehrender Fehler im CM:
    Code:
    An error occurred while executing the "contao:install-web-dir" command:      
    In event_listeners.php line 23:                                              
    Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\Contao\Toolkit\Boot\Event".                                                 
    Did you forget a "use" statement for another namespace?
    Offensichtlich gab es ein Update dieses internen Skriptes und die heruntergeladene Version funktioniert nicht.

    composer.json:
    Code:
    {
        "name": "contao/managed-edition",
        "type": "project",
        "description": "Contao Open Source CMS",
        "license": "LGPL-3.0+",
        "authors": [
            {
                "name": "Leo Feyer",
                "homepage": "https://github.com/leofeyer"
            }
        ],
        "require": {
            "php": "^5.6|^7.0",
            "ausi/contao-slug-backport": "^1.0",
            "bugbuster/contao-banner-bundle": "^1.0",
            "christianbarkowsky/tabcontrol": "^3.0",
            "codefog/contao-haste": "^4.20",
            "codefog/contao-news_categories": "^2.8",
            "codefog/contao-polls": "^1.5",
            "contao-community-alliance/meta-palettes": "^2.0",
            "contao/calendar-bundle": "^4.4",
            "contao/comments-bundle": "^4.4",
            "contao/conflicts": "*@dev",
            "contao/faq-bundle": "^4.4",
            "contao/listing-bundle": "^4.4.8",
            "contao/manager-bundle": "4.4.*",
            "contao/news-bundle": "^4.4",
            "contao/newsletter-bundle": "^4.4",
            "craffft/contao-calendar-ical-bundle": "dev-master",
            "craffft/contao-photoalbums2": "^2.0",
            "craffft/contao-translation-fields": "^1.7",
            "do-while/contao-ce_be_remarks": "^1.0",
            "friends-of-contao/contao-privacy": "2.0.0-beta2",
            "fritzmg/contao-backend-documentation": "^1.0",
            "fritzmg/contao-be-include-info": "^0.5.7",
            "inspiredminds/contao-facebook-login": "^1.2",
            "jrgregory/m17-sticky-backend-footer": "^2.0",
            "kmielke/calendar-extended-bundle": "^1.0",
            "markocupic/backend_password": "^3.0",
            "netzmacht/contao-font-awesome-inserttag": "^2.0",
            "phpoffice/phpexcel": "^1.8",
            "psi/boxes4ward": "^2.0",
            "sioweb/glossar": "^1.2",
            "srhinow/themecontent-bundle": "^0.1.15",
            "stefansl/contao-divider-bundle": "^1.0",
            "terminal42/contao-inserttags": "^1.9",
            "terminal42/contao-leads": "^1.4",
            "terminal42/notification_center": "^1.4"
        },
        "conflict": {
            "contao/core-bundle": "<4.4.8",
            "doctrine/dbal": "2.9.1"
        },
        "config": {
            "component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }
    Was muß ich in der composer.json rauswerfen um die Website wieder zum Laufen zu bekommen?

    EDIT

    app_dev.php im Frontend:
    Code:
     (1/1) ClassNotFoundException
    
    Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\Contao\Toolkit\Boot\Event".
    Did you forget a "use" statement for another namespace?
    in event_listeners.php line 23
    at include()in EventDispatcherPopulator.php line 116
    at EventDispatcherPopulator->populateListeners()in EventDispatcherPopulator.php line 96
    at EventDispatcherPopulator->populate(object(TraceableEventDispatcher))in appDevDebugProjectContainer.php line 1514
    at appDevDebugProjectContainer->getDebug_EventDispatcherService()in appDevDebugProjectContainer.php line 846
    at appDevDebugProjectContainer->getHttpKernelService()in Container.php line 306
    at Container->get('http_kernel')in Kernel.php line 213
    at Kernel->getHttpKernel()in Kernel.php line 200
    at Kernel->handle(object(Request))in app_dev.php line 64
    Geändert von Samson1964 (09.06.2019 um 02:13 Uhr)
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  2. #2
    Alter Contao-Hase
    Registriert seit
    20.09.2012.
    Ort
    Lüneburger Heide
    Beiträge
    1.384
    User beschenken
    Wunschliste

    Standard

    Moin,

    hast Du zufällig eine Sicherung der alten composer.json und composer.lock? Dann kannst Du damit und einem composer install die vorherige Version wiederherstellen.

    Gruß
    tschero

  3. #3
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Zitat Zitat von tschero Beitrag anzeigen
    Moin,

    hast Du zufällig eine Sicherung der alten composer.json und composer.lock? Dann kannst Du damit und einem composer install die vorherige Version wiederherstellen.

    Gruß
    tschero
    Zufällig nicht. Ich habe alles Mögliche in meinen Sicherungen, aber die Dateien im Root nicht. Ich hätte auch nie damit gerechnet, solche Probleme zu bekommen, wenn ich eine 4.4.39/40 komplett update, weil sich ja praktisch nichts ändert. Das https://github.com/netzmacht/contao-toolkit, falls es das ist was bemängelt wird, hatte ich auch gar nicht installiert. Ich habe es im abgesicherten Modus des CM nach meinem Posting nachinstalliert - aber die Fehlermeldungen bleiben.

    Zur Zeit habe ich zwei Optionen: Dieses Toolkit patchen, wenn ich es finde und reparieren kann oder ich installiere eine 4.7 neu und versuche das ganze Web dorthin umzuziehen.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  4. #4
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.031
    Partner-ID
    7421

    Standard

    Hast Du mal versucht die composer.lock zu löschen bzw. umzubennen und das Ganze noch einmal anzustossen? Ggf. vorher den cache und eine ev. noch vorhandene task.json beim Manager löschen.
    In manchen Fällen hat auch das Löschen des gesamten Vendorverzeichnisses zum Erfolg geführt, wenn sich die Installation irgendwo "verhakt" hat.
    Hast Du ssh-Zugriff und genügend RAM? Dann ist auch das Update über die Konsole möglich.
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

  5. #5
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Zitat Zitat von mlweb Beitrag anzeigen
    Hast Du mal versucht die composer.lock zu löschen bzw. umzubennen und das Ganze noch einmal anzustossen?
    Gelöscht und trotzdem derselbe Fehler
    Zitat Zitat von mlweb Beitrag anzeigen
    Ggf. vorher den cache und eine ev. noch vorhandene task.json beim Manager löschen.
    Ich hatte auch das Managerverzeichnis komplett gelöscht. Trotzdem dasselbe Problem. Der Cache wurde ständig bei der Systemwiederherstellung des CM gelöscht. Aber die Systemwiederherstellung endete im selben Fehler.
    Zitat Zitat von mlweb Beitrag anzeigen
    In manchen Fällen hat auch das Löschen des gesamten Vendorverzeichnisses zum Erfolg geführt, wenn sich die Installation irgendwo "verhakt" hat.
    Habe ich nicht versucht.
    Zitat Zitat von mlweb Beitrag anzeigen
    Hast Du ssh-Zugriff und genügend RAM? Dann ist auch das Update über die Konsole möglich.
    Ja, Domainfactory ManagedServer. Für mehr RAM müßte ich den Support anschreiben. Ich habe mir nur 1 GB für die Konsole einstellen lassen. Laut Composer Cloud benötige ich mindestens 3,5 GB.

    Ich habe jetzt 4.7 installiert und kopiere gerade noch die 88 GB aus files per SSH. Bisher klappte alles und ich bin auch schon wieder im BE und FE.
    Die kaputte Installation behalte ich aber noch für Dokumentationszwecke.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  6. #6
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Führe per SSH mal ein composer dump-autoload aus.

  7. #7
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Ich verzweifle seit Wochen an diesem Fehler:
    Code:
    In ScriptHandler.php line 89:
                                                                                   
      An error occurred while executing the "contao:install-web-dir" command:      
      In event_listeners.php line 23:                                              
                                                                                   
                                                                                   
        Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht  
      \C                                                                           
        ontao\Toolkit\Boot\Event".                                                 
                                                                                   
        Did you forget a "use" statement for another namespace?
    Es gibt in meiner Installation keine event_listeners.php, weder in /vendor noch in /contao-manager.

    Ich habe nochmal einen neuen Versuch gestartet und /vendor, /var und /contao-manager (bis auf users.json und manager.json) gelöscht und danach den CM aufgerufen. Der hat munter angefangen, alle Bundles zu installieren und ist dann an obigen Fehler ausgestiegen. Hier die CM-Ausgabe:
    Code:
    $ /usr/local/bin/php7.1.23-cli '-q' '/x/web/contao-manager.phar.php' 'composer' 'install' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' 2>&1
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Package operations: 204 installs, 0 updates, 0 removals
      - Installing ocramius/package-versions (1.4.0): Downloading (100%)
      - Installing contao-components/installer (1.3.1): Downloading (100%)
      - Installing symfony/polyfill-mbstring (v1.11.0): Downloading (100%)
      - Installing symfony/polyfill-ctype (v1.11.0): Downloading (100%)
      - Installing symfony/http-foundation (v4.2.10): Downloading (100%)
      - Installing psr/container (1.0.0): Downloading (100%)
      - Installing psr/cache (1.0.1): Downloading (100%)
      - Installing symfony/contracts (v1.1.5): Downloading (100%)
      - Installing symfony/event-dispatcher (v4.2.10): Downloading (100%)
      - Installing psr/log (1.1.0): Downloading (100%)
      - Installing symfony/debug (v4.3.2): Downloading (100%)
      - Installing symfony/http-kernel (v4.2.10): Downloading (100%)
      - Installing symfony/routing (v4.2.10): Downloading (100%)
      - Installing symfony/finder (v4.2.10): Downloading (100%)
      - Installing symfony/filesystem (v4.2.10): Downloading (100%)
      - Installing symfony/dependency-injection (v4.2.10): Downloading (100%)
      - Installing symfony/config (v4.2.10): Downloading (100%)
      - Installing symfony/process (v4.2.10): Downloading (100%)
      - Installing contao-community-alliance/composer-plugin (3.0.9): Downloading (100%)
      - Installing contao/manager-plugin (2.7.1): Downloading (100%)
      - Installing ausi/slug-generator (v1.1.0): Downloading (100%)
      - Installing dasprid/enum (1.0.0): Downloading (100%)
      - Installing bacon/bacon-qr-code (2.0.0): Downloading (100%)
      - Installing true/punycode (v2.1.1): Downloading (100%)
      - Installing symfony/options-resolver (v4.3.2): Downloading (100%)
      - Installing symfony/var-exporter (v4.3.2): Downloading (100%)
      - Installing psr/simple-cache (1.0.1): Downloading (100%)
      - Installing symfony/cache (v4.2.10): Downloading (100%)
      - Installing symfony/framework-bundle (v4.2.10): Downloading (100%)
      - Installing psr/http-message (1.0.1): Downloading (100%)
      - Installing php-http/message-factory (v1.0.2): Downloading (100%)
      - Installing clue/stream-filter (v1.4.1): Downloading (100%)
      - Installing php-http/message (1.7.2): Downloading (100%)
      - Installing php-http/discovery (1.7.0): Downloading (100%)
      - Installing php-http/promise (v1.0.0): Downloading (100%)
      - Installing php-http/httplug (v1.1.0): Downloading (100%)
      - Installing ralouphie/getallheaders (3.0.3): Downloading (100%)
      - Installing guzzlehttp/psr7 (1.6.1): Downloading (100%)
      - Installing guzzlehttp/promises (v1.3.1): Downloading (100%)
      - Installing guzzlehttp/guzzle (6.3.3): Downloading (100%)
      - Installing php-http/guzzle6-adapter (v1.1.1): Downloading (100%)
      - Installing php-http/client-common (1.9.1): Downloading (100%)
      - Installing friendsofsymfony/http-cache (2.7.0): Downloading (100%)
      - Installing friendsofsymfony/http-cache-bundle (2.7.0): Downloading (100%)
      - Installing terminal42/header-replay-bundle (1.5.3): Downloading (100%)
      - Installing symfony/yaml (v4.2.10): Downloading (100%)
      - Installing twig/twig (v2.11.3): Downloading (100%)
      - Installing symfony/twig-bridge (v4.2.10): Downloading (100%)
      - Installing symfony/twig-bundle (v4.2.10): Downloading (100%)
      - Installing symfony/translation (v4.2.10): Downloading (100%)
      - Installing symfony/polyfill-php72 (v1.11.0): Downloading (100%)
      - Installing symfony/polyfill-intl-idn (v1.11.0): Downloading (100%)
      - Installing symfony/polyfill-iconv (v1.11.0): Downloading (100%)
      - Installing doctrine/lexer (1.0.2): Downloading (100%)
      - Installing egulias/email-validator (2.1.9): Downloading (100%)
      - Installing swiftmailer/swiftmailer (v6.2.1): Downloading (100%)
      - Installing symfony/swiftmailer-bundle (v3.2.8): Downloading (100%)
      - Installing symfony/inflector (v4.3.2): Downloading (100%)
      - Installing symfony/property-access (v4.3.2): Downloading (100%)
      - Installing symfony/security (v4.2.10): Downloading (100%)
      - Installing symfony/security-bundle (v4.2.10): Downloading (100%)
      - Installing symfony/lock (v4.2.10): Downloading (100%)
      - Installing symfony/expression-language (v4.2.10): Downloading (100%)
      - Installing symfony/console (v4.2.10): Downloading (100%)
      - Installing symfony/asset (v4.2.10): Downloading (100%)
      - Installing symfony-cmf/routing (2.1.0): Downloading (100%)
      - Installing symfony-cmf/routing-bundle (2.1.1): Downloading (100%)
      - Installing paragonie/constant_time_encoding (v2.2.3): Downloading (100%)
      - Installing beberlei/assert (v3.2.1): Downloading (100%)
      - Installing spomky-labs/otphp (v9.1.4): Downloading (100%)
      - Installing simplepie/simplepie (1.5.2): Downloading (100%)
      - Installing sonata-project/google-authenticator (2.2.0): Downloading (100%)
      - Installing lcobucci/jwt (3.3.1): Downloading (100%)
      - Installing scheb/two-factor-bundle (v3.19.1): Downloading (100%)
      - Installing phpunit/php-token-stream (3.0.2): Downloading (100%)
      - Installing phpspec/php-diff (v1.1.0): Downloading (100%)
      - Installing patchwork/utf8 (v1.3.1): Downloading (100%)
      - Installing oyejorge/less.php (v1.7.0.14): Downloading (100%)
      - Installing nelmio/cors-bundle (1.5.6): Downloading (100%)
      - Installing michelf/php-markdown (1.8.0): Downloading (100%)
      - Installing matthiasmullie/path-converter (1.1.2): Downloading (100%)
      - Installing matthiasmullie/minify (1.3.61): Downloading (100%)
      - Installing league/uri-parser (1.4.1): Downloading (100%)
      - Installing league/uri-interfaces (1.1.1): Downloading (100%)
      - Installing league/uri-schemes (1.2.1): Downloading (100%)
      - Installing league/uri-hostname-parser (1.1.1): Downloading (100%)
      - Installing league/uri-components (1.8.2): Downloading (100%)
      - Installing league/uri-manipulations (1.5.0): Downloading (100%)
      - Installing league/uri (5.3.0)
      - Installing leafo/scssphp (v0.7.8): Downloading (100%)
      - Installing symfony/templating (v4.3.2): Downloading (100%)
      - Installing knplabs/knp-time-bundle (v1.9.1): Downloading (100%)
      - Installing knplabs/knp-menu (2.3.0): Downloading (100%)
      - Installing knplabs/knp-menu-bundle (2.2.2): Downloading (100%)
      - Installing imagine/imagine (1.2.1): Downloading (100%)
      - Installing doctrine/annotations (v1.6.1): Downloading (100%)
      - Installing doctrine/reflection (v1.0.0): Downloading (100%)
      - Installing doctrine/event-manager (v1.0.0): Downloading (100%)
      - Installing doctrine/collections (v1.6.2): Downloading (100%)
      - Installing doctrine/cache (v1.8.0): Downloading (100%)
      - Installing doctrine/persistence (1.1.1): Downloading (100%)
      - Installing symfony/doctrine-bridge (v4.3.2): Downloading (100%)
      - Installing doctrine/inflector (v1.3.0): Downloading (100%)
      - Installing doctrine/doctrine-cache-bundle (1.3.5): Downloading (100%)
      - Installing jdorn/sql-formatter (v1.2.17): Downloading (100%)
      - Installing doctrine/dbal (v2.8.1): Downloading (100%)
      - Installing doctrine/doctrine-bundle (1.11.2): Downloading (100%)
      - Installing contao/imagine-svg (0.2.2): Downloading (100%)
      - Installing webmozart/assert (1.4.0): Downloading (100%)
      - Installing webmozart/path-util (2.3.0): Downloading (100%)
      - Installing contao/image (0.3.9): Downloading (100%)
      - Installing contao-components/tinymce4 (4.9.4): Downloading (100%)
      - Installing contao-components/tablesorter (2.1.0): Downloading (100%)
      - Installing contao-components/tablesort (3.4.11): Downloading (100%)
      - Installing contao-components/swipe (2.1.2): Downloading (100%)
      - Installing contao-components/simplemodal (2.1.0): Downloading (100%)
      - Installing contao-components/respimage (1.4.2): Downloading (100%)
      - Installing contao-components/mootools (1.6.0.5): Downloading (100%)
      - Installing contao-components/mediaelement (4.2.10): Downloading (100%)
      - Installing contao-components/mediabox (1.5.4.2): Downloading (100%)
      - Installing contao-components/jquery-ui (1.12.1.1): Downloading (100%)
      - Installing contao-components/jquery (3.4.1): Downloading (100%)
      - Installing contao-components/html5shiv (3.7.3): Downloading (100%)
      - Installing contao-components/highlight (9.15.6): Downloading (100%)
      - Installing contao-components/dropzone (5.5.0): Downloading (100%)
      - Installing contao-components/datepicker (2.3.0): Downloading (100%)
      - Installing contao-components/contao (8.0.3): Downloading (100%)
      - Installing contao-components/compass (0.12.2.1): Downloading (100%)
      - Installing contao-components/colorpicker (1.5.0): Downloading (100%)
      - Installing contao-components/colorbox (1.6.4.1): Downloading (100%)
      - Installing contao-components/chosen (1.2.1): Downloading (100%)
      - Installing contao-components/ace (1.4.4): Downloading (100%)
      - Installing contao/core-bundle (4.7.6): Downloading (100%)
      - Installing crossjoin/browscap (v1.0.6): Downloading (100%)
      - Installing bugbuster/contao-botdetection-bundle (1.5.0): Downloading (100%)
      - Installing bugbuster/contao-banner-bundle (1.0.13): Downloading (100%)
      - Installing pimple/pimple (v1.1.1): Downloading (100%)
      - Installing contao-community-alliance/dependency-container (2.0.3): Downloading (100%)
      - Installing contao-community-alliance/event-dispatcher (2.0.5): Downloading (100%)
      - Installing contao-community-alliance/events-contao-bindings (4.4.4): Downloading (100%)
      - Installing contao-community-alliance/translator (2.1.3): Downloading (100%)
      - Installing menatwork/contao-multicolumnwizard-bundle (3.4.1): Downloading (100%)
      - Installing christianbarkowsky/tabcontrol (3.0.10): Downloading (100%)
      - Installing contao/news-bundle (4.7.6): Downloading (100%)
      - Installing codefog/contao-haste (4.23.5): Downloading (100%)
      - Installing codefog/contao-news_categories (3.1.5): Downloading (100%)
      - Installing codefog/contao-polls (1.6.1): Downloading (100%)
      - Installing contao/comments-bundle (4.7.6): Downloading (100%)
      - Installing contao/conflicts (dev-master a3fd5c0)
      - Installing contao/faq-bundle (4.7.6): Downloading (100%)
      - Installing contao/listing-bundle (4.7.6): Downloading (100%)
      - Installing toflar/psr6-symfony-http-cache-store (1.1.2): Downloading (100%)
      - Installing symfony/var-dumper (v4.3.2): Downloading (100%)
      - Installing symfony/web-profiler-bundle (v4.2.10): Downloading (100%)
      - Installing zendframework/zend-eventmanager (3.2.1): Downloading (100%)
      - Installing zendframework/zend-code (3.3.1): Downloading (100%)
      - Installing ocramius/proxy-manager (2.1.1): Downloading (100%)
      - Installing symfony/proxy-manager-bridge (v4.2.10): Downloading (100%)
      - Installing monolog/monolog (1.24.0): Downloading (100%)
      - Installing symfony/monolog-bridge (v4.2.10): Downloading (100%)
      - Installing symfony/monolog-bundle (v3.4.0): Downloading (100%)
      - Installing symfony/dotenv (v4.2.10): Downloading (100%)
      - Installing symfony/debug-bundle (v4.2.10): Downloading (100%)
      - Installing composer/ca-bundle (1.1.4): Downloading (100%)
      - Installing ua-parser/uap-php (v3.9.0): Downloading (100%)
      - Installing paragonie/random_compat (v9.99.99): Downloading (100%)
      - Installing nelmio/security-bundle (2.7.0): Downloading (100%)
      - Installing lexik/maintenance-bundle (v2.1.5): Downloading (100%)
      - Installing sensiolabs/ansi-to-html (v1.1.3): Downloading (100%)
      - Installing contao/installation-bundle (4.7.6): Downloading (100%)
      - Installing contao/manager-bundle (4.7.6): Downloading (100%)
      - Installing contao/newsletter-bundle (4.7.6): Downloading (100%)
      - Installing kigkonsult/icalcreator (v2.27.21): Downloading (100%)
      - Installing craffft/contao-calendar-ical-bundle (4.0.6): Downloading (100%)
      - Installing craffft/contao-translation-fields (1.7.0): Downloading (100%)
      - Installing craffft/contao-sortwizard (1.4.0): Downloading (100%)
      - Installing craffft/contao-imagesortwizard (2.3.1): Downloading (100%)
      - Installing craffft/contao-photoalbums2 (2.0.1): Downloading (100%)
      - Installing do-while/contao-ce_be_remarks (1.0.0): Downloading (100%)
      - Installing doctrine/common (v2.10.0): Downloading (100%)
      - Installing doctrine/instantiator (1.2.0): Downloading (100%)
      - Installing erusev/parsedown (1.7.3): Downloading (100%)
      - Installing fritzmg/contao-backend-documentation (1.0.3): Downloading (100%)
      - Installing fritzmg/contao-be-include-info (0.5.7): Downloading (100%)
      - Installing fritzmg/contao-facebook-js-sdk (3.2.1): Downloading (100%)
      - Installing facebook/graph-sdk (5.7.0): Downloading (100%)
      - Installing inspiredminds/contao-facebook-login (2.0.0): Downloading (100%)
      - Installing jrgregory/m17-sticky-backend-footer (2.0.9): Downloading (100%)
      - Installing terminal42/dcawizard (2.4.7): Downloading (100%)
      - Installing terminal42/notification_center (1.5.8): Downloading (100%)
      - Installing terminal42/contao-leads (1.4.12): Downloading (100%)
      - Installing contao/calendar-bundle (4.7.6): Downloading (100%)
      - Installing kmielke/calendar-extended-bundle (1.0.6): Downloading (100%)
      - Installing markocupic/backend_password (3.0.1): Downloading (100%)
      - Installing netzmacht/contao-font-awesome-inserttag (2.0.1): Downloading (100%)
      - Installing phpoffice/phpexcel (1.8.2): Downloading (100%)
      - Installing psi/boxes4ward (2.0.6): Downloading (100%)
      - Installing sioweb/maintenance-fix (1.0.9): Downloading (100%)
      - Installing doctrine/orm (v2.6.3): Downloading (100%)
      - Installing doctrine/data-fixtures (v1.0.2): Downloading (100%)
      - Installing sioweb/glossar (2.0.11): Downloading (100%)
      - Installing srhinow/themecontent-bundle (0.1.19): Downloading (100%)
      - Installing stefansl/contao-divider-bundle (v1.0.1): Downloading (100%)
      - Installing terminal42/contao-inserttags (1.9.6): Downloading (100%)
    Package phpoffice/phpexcel is abandoned, you should avoid using it. Use phpoffice/phpspreadsheet instead.
    Generating optimized autoload files
    ocramius/package-versions:  Generating version class...
    ocramius/package-versions: ...done generating version class
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    > Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    
    In event_listeners.php line 23:
                                                                                   
      Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\C  
      ontao\Toolkit\Boot\Event".                                                   
      Did you forget a "use" statement for another namespace?                      
                                                                                   
    
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 89:
                                                                                   
      An error occurred while executing the "contao:install-web-dir" command:      
      In event_listeners.php line 23:                                              
                                                                                   
                                                                                   
        Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht  
      \C                                                                           
        ontao\Toolkit\Boot\Event".                                                 
                                                                                   
        Did you forget a "use" statement for another namespace?                    
                                                                                   
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
    
    
    # Process terminated with exit code 1
    # Result: General error
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    Danach ist die Contao-Installation kaputt. Erst wenn ich das Bundle kmielke/calendar-extended-bundle deinstalliere, läuft wieder alles.

    Wo finde ich diese event_listeners.php, um sie zu patchen?
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  8. #8
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    netzmacht/contao-toolkit ist als dependency bei den folgenden Paketen eingetragen: https://packagist.org/packages/netzm...kit/dependents

  9. #9
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Welche Version von netzmacht/contao-toolkit ist bei dir installiert?

  10. #10
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Welche Version von netzmacht/contao-toolkit ist bei dir installiert?
    Das wird nicht mitinstalliert, wie oben zu sehen ist. Ist auch nicht unter /vendor/netzmacht zu finden. Versuche mit der zusätzlichen Installation dieses Bundles habe ich im Juni auch schon probiert. Der Fehler blieb damals derselbe.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  11. #11
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Hast du SSH Zugriff? Wenn ja dann führe mal ein
    Code:
    composer install -o --no-dev --prefer-dist -vvv
    und poste das Ergebnis. Der genaue Aufruf hängt von deiner Umgebung ab.

  12. #12
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Beiträge
    1.764
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    Die beanstandete Klasse existiert seit Version 3.0 des Toolkits nicht mehr. Alles davor ist nicht für Contao 4 freigegeben. Anscheinend ist irgendein Contao 3 Modul im System vorhanden, das die Klasse verwendet. Check also mal deine Altlasten im System.

  13. #13
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Das ist das Ergebnis von
    Code:
    php contao-manager.phar.php composer install -o --no-dev --prefer-dist -vvv
    im web-Verzeichnis:
    Code:
    Reading /x/composer.json
    Loading config file /x/composer.json
    Checked CA file /etc/ssl/certs/ca-certificates.crt: valid
    Executing command (/x): git branch --no-color --no-abbrev -v
    Executing command (/x): git describe --exact-match --tags
    Executing command (/x): git log --pretty="%H" -n1 HEAD
    Executing command (/x): hg branch
    Executing command (/x): fossil branch list
    Executing command (/x): fossil tag list
    Executing command (/x): svn info --xml
    Failed to initialize global composer: Composer could not find the config file: /x/contao-manager/composer.json
    To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section
    Reading /x/vendor/composer/installed.json
    Loading plugin ContaoCommunityAlliance\Composer\Plugin\Plugin
    Loading plugin Contao\ComponentsInstaller\Composer\Plugin
    Loading plugin Contao\ManagerPlugin\Composer\ArtifactsPlugin
    Loading plugin Contao\ManagerPlugin\Composer\ManagerPluginInstaller
    Loading plugin PackageVersions\Installer
    Running 1.8.6 (2019-06-11 15:03:05) with PHP 7.1.30 on Linux / 3.18.117-pvops-xen-x64
    Reading /x/composer.lock
    Loading composer repositories with package information
    Installing dependencies from lock file
    Reading /x/composer.lock
    Resolving dependencies through SAT
    Looking at all rules.
    
    Dependency resolution completed in 0.004 seconds
    Analyzed 467 packages to resolve dependencies
    Analyzed 1933 rules to resolve dependencies
    Nothing to install or update
    Package phpoffice/phpexcel is abandoned, you should avoid using it. Use phpoffice/phpspreadsheet instead.
    Generating optimized autoload files
    > post-install-cmd: Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 89:
    
      [RuntimeException]
      An error occurred while executing the "contao:install-web-dir" command:
      In event_listeners.php line 23:
    
        [Symfony\Component\Debug\Exception\ClassNotFoundException]
        Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\C
        ontao\Toolkit\Boot\Event".
        Did you forget a "use" statement for another namespace?
    
    
      Exception trace:
       () at /x/system/modules/timelinejs/config/event_listeners.php:23
       include() at /x/vendor/contao-community-alliance/event-dispatcher/src/EventDispatche
      rPopulator.php:116
       ContaoCommunityAlliance\Contao\EventDispatcher\EventDispatcherPopulator->populateListeners() at /kunden/107305_14053/webseiten/schachbund/d
      sbweb.2019.dev/vendor/contao-community-alliance/event-dispatcher/src/EventDispatcherPopulator.php:96
       ContaoCommunityAlliance\Contao\EventDispatcher\EventDispatcherPopulator->populate() at /kunden/107305_14053/webseiten/schachbund/dsbweb.201
      9.dev/var/cache/prod/ContainerUsqVg4b/appContao_ManagerBundle_HttpKernel_ContaoKernelProdContainer.php:932
       ContainerUsqVg4b\appContao_ManagerBundle_HttpKernel_ContaoKernelProdContainer->getEventDispatcherService() at /kunden/107305_14053/webseite
      n/schachbund/dsbweb.2019.dev/vendor/symfony/dependency-injection/Container.php:245
       Symfony\Component\DependencyInjection\Container->make() at /x/vendor/symfony/depende
      ncy-injection/Container.php:225
       Symfony\Component\DependencyInjection\Container->get() at /x/vendor/symfony/framewor
      k-bundle/Console/Application.php:67
       Symfony\Bundle\FrameworkBundle\Console\Application->doRun() at /x/vendor/symfony/con
      sole/Application.php:145
       Symfony\Component\Console\Application->run() at /x/vendor/contao/manager-bundle/bin/
      contao-console:46
    
    
    Exception trace:
     () at /x/vendor/contao/manager-bundle/src/Composer/ScriptHandler.php:89
     Contao\ManagerBundle\Composer\ScriptHandler::executeCommand() at /x/vendor/contao/manager-bundle/src/Composer/ScriptHandler.php:31
     Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/EventDispatcher/EventDispatcher.php:297
     Composer\EventDispatcher\EventDispatcher->executeEventPhpScript() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/EventDispatcher/EventDispatcher.php:219
     Composer\EventDispatcher\EventDispatcher->doDispatch() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/EventDispatcher/EventDispatcher.php:96
     Composer\EventDispatcher\EventDispatcher->dispatchScript() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/Installer.php:324
     Composer\Installer->run() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/Command/InstallCommand.php:122
     Composer\Command\InstallCommand->execute() at phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Command/Command.php:255
     Symfony\Component\Console\Command\Command->run() at phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php:969
     Symfony\Component\Console\Application->doRunCommand() at phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php:255
     Symfony\Component\Console\Application->doRun() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/Console/Application.php:258
     Composer\Console\Application->doRun() at phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php:148
     Symfony\Component\Console\Application->run() at phar:///x/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/Console/Application.php:104
     Composer\Console\Application->run() at phar:///x/web/contao-manager.phar.php/api/console:84
     require() at /x/web/contao-manager.phar.php:54
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  14. #14
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Zitat Zitat von webstar Beitrag anzeigen
    Die beanstandete Klasse existiert seit Version 3.0 des Toolkits nicht mehr. Alles davor ist nicht für Contao 4 freigegeben. Anscheinend ist irgendein Contao 3 Modul im System vorhanden, das die Klasse verwendet. Check also mal deine Altlasten im System.
    Das kann sein. Mich wundert dann nur, das der Fehler nicht immer auftritt, sondern erst bei der Installation des Bundles.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  15. #15
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Beiträge
    1.764
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Samson1964 Beitrag anzeigen
    Code:
        [Symfony\Component\Debug\Exception\ClassNotFoundException]
        Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\C
        ontao\Toolkit\Boot\Event".
        Did you forget a "use" statement for another namespace?
    
    
      Exception trace:
       () at /x/system/modules/timelinejs/config/event_listeners.php:23
       include() at /x/vendor/contao-community-alliance/event-dispatcher/src/EventDispatche
      rPopulator.php:116
       ContaoCommunityAlliance\Contao\EventDispatcher\EventDispatcherPopulator->populateListeners() at /kunden/107305_14053/webseiten/schachbund/d
      sbweb.2019.dev/vendor/contao-community-alliance/event-dispatcher/src/EventDispatcherPopulator.php:96
       ContaoCommunityAlliance\Contao\EventDispatcher\EventDispatcherPopulator->populate() at /kunden/107305_14053/webseiten/schachbund/dsbweb.201
      9.dev/var/cache/prod/ContainerUsqVg4b/appContao_ManagerBundle_HttpKernel_ContaoKernelProdContainer.php:932
       ContainerUsqVg4b\appContao_ManagerBundle_HttpKernel_ContaoKernelProdContainer->getEventDispatcherService() at /kunden/107305_14053/webseite
      n/schachbund/dsbweb.2019.dev/vendor/symfony/dependency-injection/Container.php:245
       Symfony\Component\DependencyInjection\Container->make() at /x/vendor/symfony/depende
      ncy-injection/Container.php:225
       Symfony\Component\DependencyInjection\Container->get() at /x/vendor/symfony/framewor
      k-bundle/Console/Application.php:67
       Symfony\Bundle\FrameworkBundle\Console\Application->doRun() at /x/vendor/symfony/con
      sole/Application.php:145
       Symfony\Component\Console\Application->run() at /x/vendor/contao/manager-bundle/bin/
      contao-console:46
    Sag ich doch:

    Die beanstandete Klasse existiert seit Version 3.0 des Toolkits nicht mehr. Alles davor ist nicht für Contao 4 freigegeben. Anscheinend ist irgendein Contao 3 Modul im System vorhanden, das die Klasse verwendet. Check also mal deine Altlasten im System.
    () at /x/system/modules/timelinejs/config/event_listeners.php:23

    Du scheinst den Develop-Branch meiner Timeline-Erweiterung einzusetzen, der nicht für Contao 4 freigegeben ist:
    https://github.com/netzmacht/contao-...poser.json#L22

  16. #16
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Der Fehler kommt von timelinejs. Hast du diese Extension manuell installiert? Wenn ja lösche die Extension, lösche den Ordner var/cache (manuell) und installiere die Extension dann regulär über den Contao Manager.

    // too slow

  17. #17
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Danke an beide. Da ich timelinejs benötige, werde ich den Weg mal versuchen.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  18. #18
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Für die timelinejs Extension in Contao 4 siehe https://community.contao.org/de/show...l=1#post487639 ff.

  19. #19
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.330

    Standard

    Ja kenne ich. Aber eine Mitfinanzierung wäre höchstwahrscheinlich nicht zu vermitteln. Alles was nicht direkt auf der Startseite läuft, interessiert die Verantwortlichen nicht. Deshalb muß ich selbst patchen.
    Ich wurde gerade schon nach dem Sinn vom calendar-extended-bundle gefragt, wo ich mich schon seit Wochen mit rumquäle.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  20. #20
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.031
    Partner-ID
    7421

    Standard

    Zitat Zitat von Samson1964 Beitrag anzeigen
    Aber eine Mitfinanzierung wäre höchstwahrscheinlich nicht zu vermitteln. Alles was nicht direkt auf der Startseite läuft, interessiert die Verantwortlichen nicht.
    Meine Einstellung wäre da leicht anders.
    Wenn es die Verantwortlichen nicht interessiert, dann kann es ja auch wegfallen. Wenn es dann weg ist, merken Sie vielleicht, dass sie es doch benötigen und dann klappt es vielleicht auch mit der finanziellen Beteiligung .
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    Immer dran denken: Contao-Check zum Testen der Servervoraussetzungen (Contao 2, Contao 3 und Contao 4) und zum Prüfen einer bestehenden Installation (bis Contao 3.5)

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •